prc-class {kernlab} | R Documentation

## Class "prc"

### Description

Principal Components Class

### Objects of class "prc"

Objects from the class cannot be created directly but only contained in other classes.

### Slots

`pcv`:

  Object of class `"matrix"` containing the principal component vectors

`eig`:

  Object of class `"vector"` containing the corresponding eigenvalues

`kernelf`:

  Object of class `"kfunction"` containing the kernel function used

`kpar`:

  Object of class `"list"` containing the kernel parameters used

`xmatrix`:

  Object of class `"input"` containing the data matrix used

`kcall`:

  Object of class `"ANY"` containing the function call

`n.action`:

  Object of class `"ANY"` containing the action performed on NA

### Methods

eig

  `signature(object = "prc")`: returns the eigenvalues

kcall

  `signature(object = "prc")`: returns the performed call

kernelf

  `signature(object = "prc")`: returns the used kernel function

pcv

  `signature(object = "prc")`: returns the principal component vectors

predict

  `signature(object = "prc")`: embeds new data

xmatrix

  `signature(object = "prc")`: returns the used data matrix

### Author(s)

Alexandros Karatzoglou
alexandros.karatzoglou@ci.tuwien.ac.at

### See Also

`kpca-class`,`kha-class`, `kfa-class`

[Package kernlab version 0.9-27 Index]